# Uses of Class
org.apache.commons.math3.stat.descriptive.moment.SecondMoment

Packages that use SecondMoment
Package
Description
org.apache.commons.math3.stat.descriptive.moment
Summary statistics based on moments.

## Uses of SecondMoment in org.apache.commons.math3.stat.descriptive.moment

Fields in org.apache.commons.math3.stat.descriptive.moment declared as SecondMoment
Modifier and Type
Field
Description
`protected SecondMoment`
Variance.`moment`
SecondMoment is used in incremental calculation of Variance
Methods in org.apache.commons.math3.stat.descriptive.moment that return SecondMoment
Modifier and Type
Method
Description
`SecondMoment`
SecondMoment.`copy()`
Returns a copy of the statistic with the same internal state.
Methods in org.apache.commons.math3.stat.descriptive.moment with parameters of type SecondMoment
Modifier and Type
Method
Description
`static void`
SecondMoment.`copy(SecondMoment source, SecondMoment dest)`
Copies source to dest.
Constructors in org.apache.commons.math3.stat.descriptive.moment with parameters of type SecondMoment
Modifier
Constructor
Description
``
`SecondMoment(SecondMoment original)`
Copy constructor, creates a new `SecondMoment` identical to the `original`
``
`StandardDeviation(boolean isBiasCorrected, SecondMoment m2)`
Contructs a StandardDeviation with the specified value for the `isBiasCorrected` property and the supplied external moment.
``
`StandardDeviation(SecondMoment m2)`
Constructs a StandardDeviation from an external second moment.
``
`Variance(boolean isBiasCorrected, SecondMoment m2)`
Constructs a Variance with the specified `isBiasCorrected` property and the supplied external second moment.
``
`Variance(SecondMoment m2)`
Constructs a Variance based on an external second moment.